<section class="form-field">
  <form [formGroup]="editProductForm">
    <select formControlName="type" required #selectType>
      <option *ngFor="let option of types" [value]="option">{{
        option
      }}</option>
    </select>
    <input
      type="text"
      placeholder="title"
      formControlName="title"
      required
    />
    <input
      type="number"
      placeholder="price"
      formControlName="price"
      required
    />
    <textarea
      placeholder="description"
      cols="30"
      rows="10"
      formControlName="description"
    ></textarea>
    <select formControlName="src">
      <option *ngFor="let option of imgSrc" [value]="option.src">
        {{ option.name }}
      </option>
    </select>
    <button id="submitBtn" (click)="saveProduct()" [disabled]="!editProductForm.valid" [ngClass]="editProductForm.valid ? 'enabled' : 'disabled'">Save</button>
    <button id="deleteBtn" (click)="deleteProduct()">Delete</button>
  </form>
</section>
